Lynkoa

erreur 91 ; macro qui ne se lance plus
  • Topic:
    • SOLIDWORKS

  • 2 answers
  • 390 views

By LSE_BR The 08 April 2022

bonjour

j'utilise une macro pour générer ma nomenclature et ma macro ne se lance plus.

j'ai un bug au début.

Excell s'ouvre mais je boque sur l'instruction "Set swModelDocExt = swModel.Extension"

je ne comprends pas car elle fonctionnait très bien jusque là...

pourriez vous m'aider à identifier le problème svp ?

merci d'avance

 

LSE

 

 

Option Explicit

Sub main()

Dim xlApp As Excel.Application
Set xlApp = New Excel.Application
Dim wbk As Excel.Workbook
Dim sht As Excel.Worksheet


Dim swApp                   As SldWorks.SldWorks
Dim swModel                 As SldWorks.ModelDoc2
Dim swModelDocExt           As SldWorks.ModelDocExtension
Dim swBOMAnnotation         As SldWorks.BomTableAnnotation
Dim swBOMFeature            As SldWorks.BomFeature
Dim boolstatus              As Boolean
Dim BomType                 As Long
Dim Configuration           As String
Dim TemplateName            As String
Dim TableTemplate           As String
Dim sFileName               As String
Dim Dossier_Nomenclature    As String
Dim Repertoire              As String
Dim Repertoire_Test         As Boolean
Dim Fichier_ouvrir          As String
Dim fichier_complet         As String
Dim myError                 As Integer
Dim myWarning               As Integer
Dim Nom_Fichier_Excell      As Variant
Dim chemin                  As String
Dim Fichier_section_source  As String


'Ouverture d'une feuille Excell

With xlApp
    .Visible = True
    Set wbk = .Workbooks.Add
    Set sht = wbk.ActiveSheet
End With

' Récupération des informations de l'assemblage

Set swApp = GetObject(, "SldWorks.Application")
Set swModel = swApp.ActiveDoc
Set swModelDocExt = swModel.Extension

sFileName = swModel.GetPathName '= nom complet de l'assemblage avec le chemin d'accès
Debug.Print sFileName

 

Best Answer

sbadenis | 23320 point(s)

J'ai déjà rencontré des problème avec cette ligne (l'erreur suivante découle peut-être de là:

Set swApp = GetObject(, "SldWorks.Application")

A remplacer par

Set swApp = Application.SldWorks

Sinon il faut que tu regarde dans tes variables locales e, lançant la macro en pas à pas (F8)

 

Other answers

sbadenis | 23320 point(s)

J'ai déjà rencontré des problème avec cette ligne (l'erreur suivante découle peut-être de là:

Set swApp = GetObject(, "SldWorks.Application")

A remplacer par

Set swApp = Application.SldWorks

Sinon il faut que tu regarde dans tes variables locales e, lançant la macro en pas à pas (F8)

 

sbadenis | 23320 point(s)

As-tu le reste de la macro moi je ne rencontre pas le soucis (SW2020)

Sinon regarde ce sujet la version est parfaitement fonctionnel chez moi (après avoir changer le chemin du modèle de nomenclature)

https://www.lynkoa.com/node/1130889

Après l'avoir testé, si tu t'en inspire pour corriger la tienne pas de raison que cela ne fonctionne pas également.